Package org.jboss.resteasy.security.doseta

## Class ServerDigitalSigningHeaderDecoratorFeature.DigitalSigningHeaderDecorator

- java.lang.Object
- - org.jboss.resteasy.security.doseta.AbstractDigitalSigningHeaderDecorator
  - - org.jboss.resteasy.security.doseta.ServerDigitalSigningHeaderDecoratorFeature.DigitalSigningHeaderDecorator

- All Implemented Interfaces:
    `javax.ws.rs.container.ContainerResponseFilter`
  Enclosing class:
    ServerDigitalSigningHeaderDecoratorFeature

      @Priority(3000)
      public static class ServerDigitalSigningHeaderDecoratorFeature.DigitalSigningHeaderDecorator
      extends AbstractDigitalSigningHeaderDecorator
      implements javax.ws.rs.container.ContainerResponseFilter

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.security.doseta.AbstractDigitalSigningHeaderDecorator

      `signed`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DigitalSigningHeaderDecorator​(Signed signed)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `filter​(javax.ws.rs.container.ContainerRequestContext requestContext, javax.ws.rs.container.ContainerResponseContext responseContext)` |

    - ### Methods inherited from class org.jboss.resteasy.security.doseta.AbstractDigitalSigningHeaderDecorator

      `createHeader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DigitalSigningHeaderDecorator

          public DigitalSigningHeaderDecorator​(Signed signed)

  - ### Method Detail

    - #### filter

          public void filter​(javax.ws.rs.container.ContainerRequestContext requestContext,
                             javax.ws.rs.container.ContainerResponseContext responseContext)
                      throws IOException

      Specified by:
        `filter` in interface `javax.ws.rs.container.ContainerResponseFilter`
      Throws:
        `IOException`